using System;
using NinjaTrader.Cbi;

internal sealed class Delegate143 : MulticastDelegate
{
	public extern Instrument Invoke(object object_0);

	public static Instrument smethod_0(object object_0, Delegate143 delegate143_1)
	{
		return delegate143_1(object_0);
	}

	public extern Delegate143(object object_0, IntPtr intptr_0);

	static Delegate143()
	{
		Class10.smethod_13(typeof(Delegate143).TypeHandle);
	}

	internal static Delegate143 delegate143_0;
}
